Messages
List Messages
Retrieve all messages in a conversation
GET
/
api
/
v1
/
conversations
/
{id}
/
messages
/
cURL
curl --request GET \
--url https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/conversations/{id}/messages/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/conversations/{id}/messages/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://alpha-plagiocephalic-darrell.ngrok-free.dev/api/v1/conversations/{id}/messages/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"type": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"replyTo": "<string>",
"text": "<string>",
"image": "<string>",
"cta": "<string>",
"listSelection": "<string>",
"template": "<string>",
"unified": "<string>",
"quickReply": "<string>"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Retrieve all messages in a conversation.
Authorizations
API key authentication. Pass your API key in the X-API-Key header.
Path Parameters
Was this page helpful?
⌘I
cURL
